"""risefor lobbying URL Configuration"""

from django.contrib.auth import get_user_model
from django.conf.urls import url
from risefor_lobbying.views import *
from django.urls import path
from django.views.generic.base import TemplateView
from .views import increment_twitter_click_counter

User = get_user_model()

urlpatterns = [
    url(r'^elected-officials/', RepresentativeViewSet.urls()),
    url(r'^active-campaigns/', financeCampaignViewSet.urls()),
    url(r'^active-actions/', ActionViewSet.urls()),
    url(r'^active-consultations/', ConsultationViewSet.urls()),
    url(r'^passed-actions/', passedActionViewSet.urls()),
    url(r'^passed-consultations/', passedConsultationViewSet.urls()),
    url(r'^convergent-actions/', ConvergenceViewSet.urls()),
    url(r'total-actions/', TotalSubmission.urls()),
    url(r'^search-representative/', RepresentativeSearchViewSet.urls()),
    path("robots.txt",TemplateView.as_view(template_name="robots.txt", content_type="text/plain")),
    path('twitter-click-counter/', increment_twitter_click_counter, name='increment_twitter_click_counter'),
    path("s/<str:slugs>", shortLinkRedirect, name="redirect"),
]